import { MicroEditorBase } from "../../../Views/Editor/MicroEditorBase.js";
export declare class ColorEditor extends MicroEditorBase {
    private m_popup;
    private get buttonNode();
    private get inputNode();
    private get swatchNode();
    private get popup();
    get value(): string;
    set value(value: string);
    get inputValue(): string;
    template(): string | Array<string> | JQuery;
    focus(): void;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    private popup_init;
    private onColorChange;
}
export declare function isValidColor(value: string): boolean;
